> ## Documentation Index
> Fetch the complete documentation index at: https://docs.puretalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Register Web Call

> Register a new web call



## OpenAPI

````yaml openapi-calls POST /calls/web/register
openapi: 3.0.1
info:
  title: Puretalk AI
  description: Api Documentation for Puretalk AI
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.puretalk.ai/api
security:
  - ApiKeyAuth: []
paths:
  /calls/web/register:
    post:
      description: Register a new web call
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - assistant_id
              properties:
                assistant_id:
                  type: string
                  example: e1f09482-2910-45e1-a2f3-ab75cd9a5a51
                  description: The ID of the assistant to use for the call
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  msg:
                    type: string
                    example: Success
                    description: A success message
                  err:
                    type: boolean
                    example: false
                    description: A boolean value indicating if the request was successful
                  results:
                    type: object
                    properties:
                      call_id:
                        type: string
                        example: 696a4c8f-3eaf-41bf-a052-2c2fe630c046
                        description: >-
                          The ID of the call. This ID is used to identify the
                          call and is required for the call to be completed.
                      token:
                        type: string
                        example: >-
                          eyJhbGciOiJIUzI1NiJ9.eyJSb2xlIjoiQWRtaW4iLCJJc3N1ZXIiOiJJc3N1ZXIiLCJVc2VybmFtZSI6IkphdmFJblVzZSIsImV4cCI6MTc0NzY2MjY0NiwiaWF0IjoxNzQ3NjYyNjQ2fQ.DmmgsIB4wLO9dmUGsOAvbzXb5Ntc_Qhj68jJr4AM6PQ
                        description: >-
                          The token of the call. This token is used to identify
                          the call and is required for the call to be completed.
        '400':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Forbidden'
        '412':
          description: Precondition Failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PreconditionFailed'
components:
  schemas:
    Error:
      required:
        - err
        - msg
      type: object
      properties:
        err:
          type: boolean
          example: true
        msg:
          type: string
          example: An error occurred.
    Forbidden:
      type: object
      properties:
        detail:
          type: string
          example: Authentication credentials were not provided.
    PreconditionFailed:
      type: object
      properties:
        detail:
          type: string
          example: >-
            The request could not be processed because the preconditions are not
            met.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Authorization header containing API key. You can find your API key in
        the dashboard under 'API Keys'.

````